uniform bool AlphaTest;
uniform float MaterialOpacity;
uniform sampler2D Texture[8];
varying vec2 texCoord[1];
void main(void)
{
	float w = texture2D(Texture[0], texCoord[0]).w;
	if(AlphaTest)
		if(w < 0.5) discard;
	gl_FragColor = vec4(1.0, 1.0, 1.0, w * MaterialOpacity);
}